﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using HeuristicLab.Data;
using HeuristicLab.Data.Views;

namespace HeuristicLab.Optimizer.Tools {
  public partial class SetNamesDialog : Form {
    private StringConvertibleArrayView view;
    public StringArray Names { get { return (StringArray)view.Content; } }

    private SetNamesDialog() {
      InitializeComponent();
      view = new StringConvertibleArrayView();
      view.Dock = DockStyle.Fill;
      contentPanel.Controls.Add(view);
    }

    public SetNamesDialog(int names)
      : this() {
      view.Content = new StringArray(names);
    }

    public SetNamesDialog(IEnumerable<string> names)
      : this() {
      view.Content = new StringArray(names.ToArray());
    }

    private void okButton_Click(object sender, System.EventArgs e) {
      Close();
    }

    private void cancelButton_Click(object sender, System.EventArgs e) {
      Close();
    }
  }
}
